class XC_Engine_TournamentWeapon expands TournamentWeapon
	abstract;

simulated function ClientPutDown(weapon NextWeapon)
{
	if ( Level.NetMode == NM_Client )
	{
		bCanClientFire = false;
		bMuzzleFlash = 0;
		TweenDown();
		if ( TournamentPlayer(Owner) != None )
			TournamentPlayer(Owner).ClientPending = NextWeapon;
		if ( IsA('TournamentWeapon') )
			GotoState('ClientDown');
	}
}

simulated function AnimEnd()
{
	local TournamentPlayer T;

	T = TournamentPlayer(Owner);
	if ( T != None && T.Weapon != None )
	{
		if ( (T.ClientPending != None) && (T.ClientPending.Owner == Owner) )
		{
			T.Weapon = T.ClientPending;
			if ( T.Weapon.IsA('TournamentWeapon') )
				T.Weapon.GotoState('ClientActive');
			T.ClientPending = None;
			GotoState('');
		}
		else
		{
			Enable('Tick');
			T.NeedActivate();
		}
	}
}

function UT_Invisibility_EndState()
{
	local Inventory S;

	bActive = false;		
	PlaySound(DeActivateSound);

	if ( Pawn(Owner) == none )
		return;
	
	Owner.SetDefaultDisplayProperties();
	Pawn(Owner).Visibility = Pawn(Owner).default.Visibility; //Fix bots not seeing players after item expires
	S = Pawn(Owner).FindInventoryType(class'UT_ShieldBelt');
	if ( (S != None) && (UT_Shieldbelt(S).MyEffect != None) )
		UT_Shieldbelt(S).MyEffect.bHidden = false;
}

defaultproperties
{
}
